## Family Family — Font family |

## Functions

FontManagerFamily * | font_manager_family_new ()
JsonObject * | font_manager_family_get_default_variant ()

## Properties

gchar * | description | Read / Write
gchar * | family | Read / Write
gint | n-variations | Read / Write
JsonObject * | source-object | Read / Write
JsonArray * | variations | Read / Write

## Types and Values

#define | FONT_MANAGER_TYPE_FAMILY
| FontManagerFamily

## Object Hierarchy

        GObject
        ╰── FontManagerJsonProxy
            ╰── FontManagerFamily

## Includes

    #include <font-manager-family.h>

## Description

FontManagerFamily holds information about a font family along with an array of JsonObject representing the fonts belonging to this font family.

The JsonObject backing this class should have the following structure:

    1
    2
    3
    4
    5
    6
    {
      "family" : string,
      "description" : string,
      "n-variations" : int,
      "variations" : [ ]
    }

variations is a JsonArray of JsonObjects representing individual fonts. See FontManagerFont for object description.

## Functions

### font_manager_family_new ()

    FontManagerFamily *
    font_manager_family_new (void);

#### Returns

A newly created FontManagerFamily. Free the returned object using ``g_object_unref()``.

[transfer full]

### font_manager_family_get_default_variant ()

    JsonObject *
    font_manager_family_get_default_variant
                                   (FontManagerFamily *self);

#### Parameters

self | FontManagerFamily |

#### Returns

JsonObject which should not be freed.

[transfer none]

## Types and Values

### FONT_MANAGER_TYPE_FAMILY

    #define FONT_MANAGER_TYPE_FAMILY (font_manager_family_get_type())

### FontManagerFamily

    typedef struct _FontManagerFamily FontManagerFamily;

## Property Details

### The `“description”` property

      “description”              gchar *

Pango font description.

Owner: FontManagerFamily

Flags: Read / Write

Default value: NULL

### The `“family”` property

      “family”                   gchar *

Family name.

Owner: FontManagerFamily

Flags: Read / Write

Default value: NULL

### The `“n-variations”` property

      “n-variations”             gint

Number of font variations.

Owner: FontManagerFamily

Flags: Read / Write

Default value: 0

### The `“source-object”` property

      “source-object”            JsonObject *

JsonObject source for this class.

Owner: FontManagerFamily

Flags: Read / Write

### The `“variations”` property

      “variations”               JsonArray *

JsonArray of JsonObjects.

Owner: FontManagerFamily

Flags: Read / Write

## See Also

FontManagerJsonProxy FontManagerFont